org.eclipse.swt.accessibility

## Class AccessibleTextEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.accessibility.AccessibleTextEvent

    public class AccessibleTextEvent
    extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending messages to controls asking for detailed information about the implementation of the control instance. Typically, only implementors of custom controls need to listen for this event.

Note: The meaning of each field depends on the message that was sent.

Since:
  1.4
See Also:
  `AccessibleTextListener`, `AccessibleTextAdapter`, Sample code and further information

### Field Summary

Fields
`Accessible` `accessible`
`int` `childID`
`int` `count`
`int` `end`
`int` `height`
`int` `index`
`int` `length`
`int` `offset`
`int[]` `ranges`
`Rectangle[]` `rectangles`
`java.lang.String` `result` The value of this field must be set in the accessible text extended listener method before returning.
`int` `start`
`int` `type`
`int` `width`
`int` `x`
`int` `y`

### Constructor Summary

Constructors
Constructor and Description
`AccessibleTextEvent(java.lang.Object source)` Constructs a new instance of this class.

### Method Summary

Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### childID

    public int childID

#### offset

    public int offset

#### length

    public int length

#### accessible

    public Accessible accessible

#### result

    public java.lang.String result

The value of this field must be set in the accessible text extended listener method before returning. What to set it to depends on the listener method called.

#### count

    public int count

#### index

    public int index

#### start

    public int start

#### end

    public int end

#### type

    public int type

#### x

    public int x

#### y

    public int y

#### width

    public int width

#### height

    public int height

#### ranges

    public int[] ranges

#### rectangles

    public Rectangle[] rectangles

### Constructor Detail

#### AccessibleTextEvent

    public AccessibleTextEvent(java.lang.Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event

Copyright (c) EclipseSource and others 2002, 2019. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0